package com.xin.shardingspherejdbcdemo.entity;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class Employee {
    private String name;
    private Date birthDate;
    private BigDecimal payment;
    private BigDecimal bonus;

    private String statisTime;

    private int vehicleCount;

    public Employee(String name, Date birthDate, Integer payment, Double bonus) {
        this.name = name;
        this.birthDate = birthDate;
        this.payment = new BigDecimal(payment);
        this.bonus = new BigDecimal(bonus);
    }

    public Employee(String statisTime, int vehicleCount) {
        this.statisTime = statisTime;
        this.vehicleCount = vehicleCount;
    }
}
